[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.DrawTextInCell

Draws the text for a non-fixed cell in the grid.

## Declaration

Source position: grids.pas line 1058

`protected procedure TCustomGrid.DrawTextInCell(`
`aCol: Integer;`
`aRow: Integer;`
`aRect: TRect;`
`aState: TGridDrawState`
`); virtual;`

## Arguments

`aCol` |  | Column number for the cell drawn in the method.
`aRow` |  | Row number for the cell drawn in the method.
`aRect` |  | Rectangle with the coordinates where the cell text is drawn.
`aState` |  | Drawing state for the cell (like selected, focused, fixed, etc.).

## Description

The implementation for DrawTextInCell is empty in TCustomGrid. It is overridden in descendent classes.